/* $Id: pjsip_simple.h 2968 2009-10-26 11:21:37Z bennylp $ */
/* 
 * Copyright (C) 2008-2009 Teluu Inc. (http://www.teluu.com)
 * Copyright (C) 2003-2008 Benny Prijono <benny@prijono.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 *
 *  Additional permission under GNU GPL version 3 section 7:
 *
 *  If you modify this program, or any covered work, by linking or
 *  combining it with the OpenSSL project's OpenSSL library (or a
 *  modified version of that library), containing parts covered by the
 *  terms of the OpenSSL or SSLeay licenses, Teluu Inc. (http://www.teluu.com)
 *  grants you additional permission to convey the resulting work.
 *  Corresponding Source for a non-source form of such a combination
 *  shall include the source code for the parts of OpenSSL used as well
 *  as that of the covered work.
 */

/**
 * @defgroup PJSIP_SIMPLE Event and Presence Framework
 */

/**
 * @file pjsip_simple.h
 * @brief SIP SIMPLE Extension
 */

/*
 * Include this header file to get all functionalities for SIMPLE extension
 * (SIP for Instant Messaging and Presence Leveraging Extension).
 */
#ifndef __PJSIP_SIMPLE_H__
#define __PJSIP_SIMPLE_H__

#include <pjsip-simple/evsub.h>
#include <pjsip-simple/evsub_msg.h>
#include <pjsip-simple/iscomposing.h>
#include <pjsip-simple/mwi.h>
#include <pjsip-simple/presence.h>
#include <pjsip-simple/pidf.h>
#include <pjsip-simple/publish.h>
#include <pjsip-simple/xpidf.h>

#endif	/* __PJSIP_SIMPLE_H__ */
